Subject: Re: [PATCH] bonding: ban stacked bonding support

From: Alexey Dobriyan <[email-masked]>
Date: Fri, 20 Mar 2015 20:43:09 +0300

On Fri, Feb 20, 2015 at 03:14:00PM -0800, Jay Vosburgh wrote:
> 	Instead of a separate block for IFF_MASTER, the IFF_SLAVE line
> could be replaced with something like:
> 
> 	if (netif_is_bond_slave(slave_dev) || netif_is_bond_master(slave_dev)) {
> 		netdev_dbg(bond_dev, "Error: Device is bond slave or master\n");

I think separate error messages are better (kernel can distinguish between
two anyway).